curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns a list of organizations configured for Single Sign-On (SSO) in E2E Cloud. Each organization entry includes details such as ID, ERN, organization reference, status, SSO enablement, and timestamps for creation and updates.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID Find your project id here
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”Successfully retrieved the list of SSO organizations.
object
Unique identifier of the organization.
E2E Resource Name (ERN) for the organization.
Internal organization reference ID.
Name of the organization or IdP configuration.
Registered email for the organization (if applicable).
Associated domain name (if applicable).
Customer ID associated with the organization.
Current status of the organization.
Indicates whether Single Sign-On (SSO) is enabled for this organization.
Timestamp when the organization was created.
Timestamp when the organization was last updated.
Example
[ { "id": "019a7752-8aaa-7042-9c3e-bcbbe47f5f64", "ern": "ern:e2e:organizations::master-account:organization/019a7752-8aaa-7042-9c3e-bcbbe47f5e74", "org_ref": "612214921334", "name": "idp-77823", "email": null, "domain": null, "customer_id": "1790", "status": "ACTIVE", "sso_enabled": true, "created_at": "2025-11-12T09:08:09.517189Z", "updated_at": "2025-11-12T09:09:41.344411Z" }]